chibi-doc(1)

NAME

chibi-doc - generate docs from Scheme scribble syntax

SYNOPSIS
chibi-doc [-hst] [ file ] chibi-doc dotted-name.of.module [ identifier ]

DESCRIPTION
chibi-doc is a tool to generate documentation from the Scheme scribble syntax from Racket. It works like a Unix filter, translating from the current input or a file to standard output. You can also specify a module name, with components separated with dots, and it will search for the module and generate documentation from it automatically from literate comments in the module or any of its source files. These comments are any line beginning with the characters ;;> The scribble syntax is described in the manual.

OPTIONS

-h  Outputs in HTML format (the default).

-s  Outputs in SXML format.

-t  Outputs in text format (the default for describing a single variable).

AUTHORS

Alex Shinn (alexshinn @ gmail . com)

SEE ALSO

The chibi-scheme home-page: https://github.com/ashinn/chibi-scheme/